%define module_name App-TimeTracker-Command-Jira
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/TimeTracker/Utils.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(JIRA/REST.pm) perl(JSON/XS.pm) perl(Moose/Role.pm) perl(Path/Class.pm) perl(Pod/Coverage/TrustPod.pm) perl(Scalar/Util.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Synopsis.pm) perl(Try/Tiny.pm) perl(Unicode/Normalize.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.8
Release: alt1
Summary: App::TimeTracker Jira plugin
Group: Development/Perl
License: perl
URL: https://github.com/pepl/App-TimeTracker-Jira

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEPL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin integrates into Atlassian Jira
https://www.atlassian.com/software/jira.

It can set the description and tags of the current task based on data
coming from Jira, set the owner of the ticket and update the
worklog. If you also use the `Git' plugin, this plugin will
generate branch names based on Jira ticket information.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/A*

%changelog
* Fri May 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1
- updated by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1
- regenerated from template by package builder

* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1
- initial import by package builder

